SpecificationModels (MaltParser 1.4.1)
Date: 2010-07-15

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.maltparser.core.feature.spec
Class SpecificationModels

    java.lang.Object
      org.maltparser.core.feature.spec.SpecificationModels

    public class SpecificationModels

extends Object

Author:
  Johan Hall

Constructor Summary
`SpecificationModels()`

Method Summary
`void` | `add(int index, String featureSpec)`
`void` | `add(int index, String subModelName, String featureSpec)`
`void` | `add(String specModelName, String featureSpec)`
`void` | `add(String specModelName, String subModelName, String featureSpec)`
`int` | `getNextIndex()`
`SpecificationModel` | `getSpecificationModel(URL url, int specModelUrlIndex)`
`void` | `load(URL specModelURL)`
`void` | `loadParReader(URL specModelURL, String markingStrategy, String coveredRoot)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SpecificationModels

    public SpecificationModels()
                        throws MaltChainedException

Throws:
  `MaltChainedException`

Method Detail

### add

    public void add(int index,
                    String featureSpec)
             throws MaltChainedException

  Throws:
    `MaltChainedException`

### add

    public void add(String specModelName,
                    String featureSpec)
             throws MaltChainedException

  Throws:
    `MaltChainedException`

### add

    public void add(int index,
                    String subModelName,
                    String featureSpec)
             throws MaltChainedException

  Throws:
    `MaltChainedException`

### add

    public void add(String specModelName,
                    String subModelName,
                    String featureSpec)
             throws MaltChainedException

  Throws:
    `MaltChainedException`

### getNextIndex

    public int getNextIndex()

### loadParReader

    public void loadParReader(URL specModelURL,
                              String markingStrategy,
                              String coveredRoot)
                       throws MaltChainedException

  Throws:
    `MaltChainedException`

### load

    public void load(URL specModelURL)
              throws MaltChainedException

  Throws:
    `MaltChainedException`

### getSpecificationModel

    public SpecificationModel getSpecificationModel(URL url,
                                                    int specModelUrlIndex)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| MaltParser 1.4.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2007-2010 Johan Hall, Jens Nilsson and Joakim Nivre.